diff a/src/hotspot/share/opto/library_call.hpp b/src/hotspot/share/opto/library_call.hpp
--- a/src/hotspot/share/opto/library_call.hpp
+++ b/src/hotspot/share/opto/library_call.hpp
@@ -361,10 +361,12 @@
   bool inline_vector_insert();
   bool inline_vector_compress_expand();
   bool inline_index_vector();
   bool inline_index_partially_in_upper_range();
 
+  bool inline_timestamp(bool serial);
+
   Node* gen_call_to_svml(int vector_api_op_id, BasicType bt, int num_elem, Node* opd1, Node* opd2);
 
   enum VectorMaskUseType {
     VecMaskUseLoad  = 1 << 0,
     VecMaskUseStore = 1 << 1,
@@ -385,7 +387,13 @@
   }
 
   bool inline_getObjectSize();
 
   bool inline_blackhole();
+
+  bool inline_sizeOf();
+  bool inline_sizeOf_impl(Node* obj);
+
+  bool inline_addressOf();
+
 };
 
